Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core
Class JimiImageEnumeration

    java.lang.Object
      |
      +--com.sun.jimi.core.JimiImageEnumeration

public class JimiImageEnumeration
extends java.lang.Object

Specialized enumeration class for reading a series of JimiImages.

Field Summary
`protected int` | `imageCount`
`protected int` | `imageIndex`
`protected JimiImage[]` | `jimiImages`
`protected int` | `mode`
`protected static int` | `MODE_IMAGEPRODUCER`
`protected static int` | `MODE_JIMIIMAGE`
`protected FormatOptionSet` | `options`
`protected java.awt.image.ImageProducer[]` | `producers`

Constructor Summary
`JimiImageEnumeration(java.awt.Image image)`
`JimiImageEnumeration(java.awt.Image[] images)`
`JimiImageEnumeration(java.awt.image.ImageProducer image)`
`JimiImageEnumeration(java.awt.image.ImageProducer[] producers)`
`JimiImageEnumeration(JimiImage image)`
`JimiImageEnumeration(JimiImage[] jimiImages)`

Method Summary
`int` | `countImages()` Get the number of images in the enumeration.
`JimiImage` | `getNextImage()` Get the next JimiImage in the series.
`boolean` | `hasMoreImages()` Check if there are any more JimiImages to get.
`void` | `setOptions(FormatOptionSet options)` Set an OptionsObject to be shared amongst all images.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODE_JIMIIMAGE

    protected static final int MODE_JIMIIMAGE

### MODE_IMAGEPRODUCER

    protected static final int MODE_IMAGEPRODUCER

### mode

    protected int mode

### producers

    protected java.awt.image.ImageProducer[] producers

### jimiImages

    protected JimiImage[] jimiImages

### imageCount

    protected int imageCount

### imageIndex

    protected int imageIndex

### options

    protected FormatOptionSet options

Constructor Detail

### JimiImageEnumeration

    public JimiImageEnumeration(java.awt.Image[] images)

### JimiImageEnumeration

    public JimiImageEnumeration(java.awt.image.ImageProducer[] producers)

### JimiImageEnumeration

    public JimiImageEnumeration(JimiImage[] jimiImages)

### JimiImageEnumeration

    public JimiImageEnumeration(java.awt.Image image)

### JimiImageEnumeration

    public JimiImageEnumeration(java.awt.image.ImageProducer image)

### JimiImageEnumeration

    public JimiImageEnumeration(JimiImage image)

Method Detail

### countImages

    public int countImages()

  Get the number of images in the enumeration.
  Returns:
    the number of images

### getNextImage

    public JimiImage getNextImage()
                           throws JimiException

  Get the next JimiImage in the series.
  Returns:
    the JimiImage

### hasMoreImages

    public boolean hasMoreImages()

  Check if there are any more JimiImages to get.
  Returns:
    true if there are more images

### setOptions

    public void setOptions(FormatOptionSet options)

  Set an OptionsObject to be shared amongst all images.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD